#!/opt/alt/python37/bin/python3 -bb
# -*- coding: utf-8 -*-

#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENCE.TXT

import os

import cpanel
from clwpos.constants import EA_PHP_PREFIX
from clwpos.optimization_modules import OBJECT_CACHE_MODULE, is_module_allowed_for_user
from clwpos.utils import is_wpos_supported, acquire_lock


def main():
    """
    Configures redis ext if needed when wpos supported and module is enabled
    """
    if is_wpos_supported() and is_module_allowed_for_user(OBJECT_CACHE_MODULE):
        with acquire_lock(os.path.join('/var/run', EA_PHP_PREFIX), attempts=1):
            cpanel.configure_redis_extension_for_ea()


if __name__ == "__main__":
    main()
