#!/opt/alt/python37/bin/python3 -bb
# -*- coding: utf-8 -*-

#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENCE.TXT

import os

from clwpos.constants import CLWPOS_OPT_DIR, ALT_PHP_PREFIX, EA_PHP_PREFIX
from clwpos.utils import RedisConfigurePidFile, is_php_redis_configuration_running


def main():
    """
    Clean up pid files with non-existent processes in '/opt/clwpos' directory.
    """
    php_prefixes = (ALT_PHP_PREFIX, EA_PHP_PREFIX)
    clwpos_opt_dir_content = os.listdir(CLWPOS_OPT_DIR)

    for item in clwpos_opt_dir_content:
        for prefix in php_prefixes:
            if item.endswith('.pid') and item.startswith(prefix) and \
                    not is_php_redis_configuration_running(prefix):
                pid_file = RedisConfigurePidFile(prefix)
                pid_file.remove()
                break


if __name__ == '__main__':
    main()
