# coding=utf-8
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

"""Module for work with wp_config.php"""

from __future__ import absolute_import, print_function

from pathlib import Path
from typing import List

WP_CONFIG_SUFFIX = 'wp-config.php'


def path(abs_wp_path: str) -> Path:
    """
    Return path to wp-config.php file.
    """
    return Path(abs_wp_path, WP_CONFIG_SUFFIX)


def read(abs_wp_path: str) -> List[str]:
    """
    Read wp-config.php located in specified WP path.
    """
    with open(path(abs_wp_path), errors='surrogateescape') as f:
        return f.readlines()
