#!/bin/bash
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# RPM:
# $1 == 1 -- upgrade
# $1 == 0 -- uninstall

# DEB:
# $1 == remove/upgrade

# "wpos PRE UNINSTALL STARTED"


_clshare_wpos=$2
rhel=$3

if [[ "$1" == 0 || $1 == "remove" ]]; then
    # uninstall of the package
    # Stop WPOS daemon
    /sbin/service clwpos_monitoring stop
    "$_clshare_wpos"/wpos_hooks.py --uninstall > /dev/null

    if [[ $rhel -gt 6 ]]; then
        # CL7, 8, Solo
        systemctl disable clwpos_monitoring.service >/dev/null 2>&1
        systemctl daemon-reload
    else
        # CL6
        /sbin/chkconfig --del clwpos_monitoring
    fi

    rm -f "%{clwpos_redis_extension_installer}" > /dev/null 2>&1
    rm -f "%{clwpos_collect_information_cron}" > /dev/null 2>&1
    rm -f "%{clwpos_cleaner_cron}" > /dev/null 2>&1
fi

# "wpos PRE UNINSTALL FINISHED"
